Subject: Re: bug#74792: 29.2.50; goto-address-mode should support RET in special-mode buffers

From: Dmitry Gutov <[email-masked]>
Date: Fri, 13 Dec 2024 01:20:45 +0200

On 11/12/2024 20:55, Eli Zaretskii wrote:

>>   > goto-address-mode binds C-c RET to goto-address-at-point when point is
>>   > on a URL or email address.  In special-mode buffers (or maybe any
>>   > read-only buffer?) it should also bind RET while point is on the URL or
>>   > email address.
>>
>>   I don't think it's a good idea, since many special-mode descendants
>>   bind RET to useful commands.  For goto-address-at-point to override
>>   that would be a nuisance, I think.
>>
>> True, but when I've specifically moved point to a URL it is usually because I want to follow the URL, not do
>> whatever is bound to RET in the mode.
> 
> You cannot know that.  E.g., point could be on a URL by chance, for
> example, if a buffer starts with a URL.

I also regularly try RET in such cases, notice it does not work, and 
then have to reach for the mouse. Just not often enough to look up and 
remember the alternative.

>> But this sounds like something that may differ between users, so perhaps we could add this controlled by a
>> defcustom?
> 
> Let's first hear that enough people here think that it might sometimes
> be a good thing.  If so, then yes, a user option, by default off,
> could be a way to introduce such behavior.

The same option could affect other "C-c RET" bindings as well, such as 
browse-url-button-open in ansi-osc-hyperlink-map and 
bug-reference-push-button in bug-reference-map.